Bug 1735759 - userAgentMatchingConfig add in the documentation complete procedure to configure
Summary: userAgentMatchingConfig add in the documentation complete procedure to configure
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Documentation
Version: 3.11.0
Hardware: Unspecified
OS: Unspecified
low
low
Target Milestone: ---
: 3.11.z
Assignee: Jeana Routh
QA Contact: zhou ying
Vikram Goyal
URL:
Whiteboard:
Depends On: 1735755
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-08-01 12:14 UTC by Luis Martinho
Modified: 2020-04-16 15:08 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-04-16 15:08:19 UTC
Target Upstream Version:


Attachments (Terms of Use)

Description Luis Martinho 2019-08-01 12:14:13 UTC
In reference to bugzzila 1735755, the document [1] should also be updated with the procedure to configure the userAgentMatchingConfig.

So my recommendation is: 
1.to add an entry of the file were this configuration must be done > /etc/origin/master/master-config.yaml

2.to add an entry that the api server must be restarted for the new configuration to kickin. > /usr/local/bin/master-restart api

[1] https://docs.openshift.com/container-platform/3.11/install_config/configuring_authentication.html#configuring-user-agent

Comment 2 Jeana Routh 2020-04-07 17:14:47 UTC
To see these requested changes, refer to https://github.com/openshift/openshift-docs/pull/20971/files

This PR covers https://bugzilla.redhat.com/show_bug.cgi?id=1735755 as well.

Comment 3 Jeana Routh 2020-04-14 16:53:01 UTC
Email from Luis Tue, 14 Apr 2020 12:15:51 -400 (EDT)

> Hi Jeana,
>
>Yes the PR seems to address the two issues logged in the bugs. Thank you for the followup!
>
>Best Regards
>Luis

Moving to ON_QA

Comment 4 zhou ying 2020-04-15 06:46:40 UTC
PR lgtm, will change to verified.

Comment 5 Jeana Routh 2020-04-15 16:56:33 UTC
PR merged, pending online update


Note You need to log in before you can comment on or make changes to this bug.